<!DOCTYPE HTML>

<html>
<head>

    <script type = "text/javascript">
    
         function WebSocketTest() {

            if ("WebSocket" in window) {
               //alert("WebSocket is supported by your Browser!");

               // Let us open a web socket
               //var ws = new WebSocket("wss://websocket.kavkom.com/client/201@dev3.kavkom.com");
               var ws = new WebSocket("wss://websocket.kavkom.com/client/K451i3YTTWXU06Lr2bYNzgeGEtBkiewb5wlPodxw9yvhEEFiyAy4IdY2p8Ob8PbSH30PNV");

               ws.onopen = function() {
                  // Web Socket is connected, send data using send()
                  ws.send("Message to send");
                  //alert("Message is sent...");
               };

               ws.onmessage = function (evt) {
                  var received_msg = evt.data;
                  //alert("Message is received: " + evt.data);
                  console.log(evt.data)
               };

               ws.onclose = function() {

                  // websocket is closed.
                  alert("Connection is closed...");
               };
            } else {
               // The browser doesn't support WebSocket
               alert("WebSocket NOT supported by your Browser!");
            }
         }
      </script>

</head>

<body>
<div id = "sse">
    <a href = "javascript:WebSocketTest()">Run WebSocket</a>
</div>

</body>
</html>
</html>